<?php

namespace Drupal\webform_statistics\Plugin\views\field;

use Drupal\views\Plugin\views\field\FieldPluginBase;


/**
 * Field handler to display the submission count for a webform.
 *
 * @ViewsField("webform_submission_count")
 */
class WebformSubmissionCount extends FieldPluginBase {
  /**
   * {@inheritdoc}
   */
  public function query() {
    $this->realField = 'webform_id';
    $this->ensureMyTable();
    // Add the field.
    $params = ['function' => 'count'];
    $this->field_alias = $this->query->addField($this->tableAlias, $this->realField, NULL, $params);

    $this->addAdditionalFields();

    $this->query->addTag('webform_submission_count');
  }
}
